“Pyenv”的版本间的差异

来自Gea-Suan Lin's Wiki
跳到导航 跳到搜索
安裝
第2行: 第2行:
  
 
== 安裝 ==
 
== 安裝 ==
 +
 +
先安裝系統需要的套件:
  
 
<syntaxhighlight lang="bash">
 
<syntaxhighlight lang="bash">
 
sudo apt install -y build-essential libbz2-dev libcurl4-openssl-dev libffi-dev libreadline-dev libsqlite3-dev libssl-dev libz-dev; sudo apt clean
 
sudo apt install -y build-essential libbz2-dev libcurl4-openssl-dev libffi-dev libreadline-dev libsqlite3-dev libssl-dev libz-dev; sudo apt clean
 +
</syntaxhighlight>
 +
 +
接下來在自己的空間下安裝pyenv:
 +
 +
<syntaxhighlight lang="bash">
 +
git clone https://github.com/pyenv/pyenv.git ~/.pyenv
 
</syntaxhighlight>
 
</syntaxhighlight>
  

2020年2月12日 (三) 05:48的版本

pyenv是一套在使用者環境下管理多個不同Python版本的套件。

安裝

先安裝系統需要的套件:

sudo apt install -y build-essential libbz2-dev libcurl4-openssl-dev libffi-dev libreadline-dev libsqlite3-dev libssl-dev libz-dev; sudo apt clean

接下來在自己的空間下安裝pyenv:

git clone https://github.com/pyenv/pyenv.git ~/.pyenv

相關條目

外部連結